net.sourceforge.pmd.lang.java.symboltable

## Interface TypeSet.Resolver

All Known Implementing Classes:
  TypeSet.CurrentPackageResolver, TypeSet.ExplicitImportResolver, TypeSet.FullyQualifiedNameResolver, TypeSet.ImplicitImportResolver, TypeSet.ImportOnDemandResolver, TypeSet.PrimitiveTypeResolver, TypeSet.VoidResolver

Enclosing class:
  TypeSet

    public static interface TypeSet.Resolver

TODO should Resolver provide a canResolve() and a resolve()? Requiring 2 calls seems clunky... but so does this throwing an exception for flow control...

### Method Summary

Methods
`Class<?>` `resolve(String name)`

### Method Detail

#### resolve

    Class<?> resolve(String name)
                     throws ClassNotFoundException

Throws:
  `ClassNotFoundException`